Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface MapMetadata

All Superinterfaces:
  Metadata

    public interface MapMetadata

extends Metadata

Represents details of a map in a field/property in a class.

Since:
  3.0

Method Summary
`java.lang.Boolean` | `getDependentKey()` Accessor for whether the key is dependent
`java.lang.Boolean` | `getDependentValue()` Accessor for whether the value is dependent
`java.lang.Boolean` | `getEmbeddedKey()` Accessor for whether the key is embedded
`java.lang.Boolean` | `getEmbeddedValue()` Accessor for whether the value is embedded
`java.lang.String` | `getKeyType()` Accessor for the key type
`java.lang.Boolean` | `getSerializedKey()` Accessor for whether the key is serialised
`java.lang.Boolean` | `getSerializedValue()` Accessor for whether the value is serialised
`java.lang.String` | `getValueType()` Accessor for the value type
`MapMetadata` | `setDependentKey(boolean val)` Method to set whether the key is dependent
`MapMetadata` | `setDependentValue(boolean val)` Method to set whether the value is dependent
`MapMetadata` | `setEmbeddedKey(boolean val)` Method to set whether the key is embedded
`MapMetadata` | `setEmbeddedValue(boolean val)` Method to set whether the value is embedded
`MapMetadata` | `setKeyType(java.lang.String type)` Method to set the name of the key type
`MapMetadata` | `setSerializedKey(boolean val)` Method to set whether the key is serialised
`MapMetadata` | `setSerializedValue(boolean val)` Method to set whether the value is serialised
`MapMetadata` | `setValueType(java.lang.String type)` Method to set the name of the value type

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setKeyType

    MapMetadata setKeyType(java.lang.String type)

  Method to set the name of the key type

  Parameters:
    `type` - Name of the key type

### getKeyType

    java.lang.String getKeyType()

  Accessor for the key type

  Returns:
    The key type

### setEmbeddedKey

    MapMetadata setEmbeddedKey(boolean val)

  Method to set whether the key is embedded

  Parameters:
    `val` - Whether it is embedded

### getEmbeddedKey

    java.lang.Boolean getEmbeddedKey()

  Accessor for whether the key is embedded

  Returns:
    whether the key is embedded

### setSerializedKey

    MapMetadata setSerializedKey(boolean val)

  Method to set whether the key is serialised

  Parameters:
    `val` - Whether it is serialised

### getSerializedKey

    java.lang.Boolean getSerializedKey()

  Accessor for whether the key is serialised

  Returns:
    whether the key is serialised

### setDependentKey

    MapMetadata setDependentKey(boolean val)

  Method to set whether the key is dependent

  Parameters:
    `val` - Whether it is dependent

### getDependentKey

    java.lang.Boolean getDependentKey()

  Accessor for whether the key is dependent

  Returns:
    whether the key is dependent

### setValueType

    MapMetadata setValueType(java.lang.String type)

  Method to set the name of the value type

  Parameters:
    `type` - Name of the value type

### getValueType

    java.lang.String getValueType()

  Accessor for the value type

  Returns:
    The value type

### setEmbeddedValue

    MapMetadata setEmbeddedValue(boolean val)

  Method to set whether the value is embedded

  Parameters:
    `val` - Whether it is embedded

### getEmbeddedValue

    java.lang.Boolean getEmbeddedValue()

  Accessor for whether the value is embedded

  Returns:
    whether the value is embedded

### setSerializedValue

    MapMetadata setSerializedValue(boolean val)

  Method to set whether the value is serialised

  Parameters:
    `val` - Whether it is serialised

### getSerializedValue

    java.lang.Boolean getSerializedValue()

  Accessor for whether the value is serialised

  Returns:
    whether the value is serialised

### setDependentValue

    MapMetadata setDependentValue(boolean val)

  Method to set whether the value is dependent

  Parameters:
    `val` - Whether it is dependent

### getDependentValue

    java.lang.Boolean getDependentValue()

  Accessor for whether the value is dependent

  Returns:
    whether the value is dependent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.